Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 2253)
@@ -21,26 +21,26 @@
    !! Namelist variables
    !!----------------------------------------------------------------------
-   CHARACTER(len=80) ::   filbdy_mask        !: Name of unstruct. bdy mask file
-   CHARACTER(len=80) ::   filbdy_data_T      !: Name of unstruct. bdy data file at T points
-   CHARACTER(len=80) ::   filbdy_data_U      !: Name of unstruct. bdy data file at U points
-   CHARACTER(len=80) ::   filbdy_data_V      !: Name of unstruct. bdy data file at V points
-   CHARACTER(len=80) ::   filbdy_data_bt_T   !: Name of unstruct. bdy data file at T points for barotropic variables
-   CHARACTER(len=80) ::   filbdy_data_bt_U   !: Name of unstruct. bdy data file at U points for barotropic variables
-   CHARACTER(len=80) ::   filbdy_data_bt_V   !: Name of unstruct. bdy data file at V points for barotropic variables
+   CHARACTER(len=80) ::   cn_mask        !: Name of unstruct. bdy mask file
+   CHARACTER(len=80) ::   cn_dta_frs_T   !: Name of unstruct. bdy data file at T points for FRS conditions
+   CHARACTER(len=80) ::   cn_dta_frs_U   !: Name of unstruct. bdy data file at U points for FRS conditions
+   CHARACTER(len=80) ::   cn_dta_frs_V   !: Name of unstruct. bdy data file at V points for FRS conditions
+   CHARACTER(len=80) ::   cn_dta_fla_T   !: Name of unstruct. bdy data file at T points for Flather scheme
+   CHARACTER(len=80) ::   cn_dta_fla_U   !: Name of unstruct. bdy data file at U points for Flather scheme
+   CHARACTER(len=80) ::   cn_dta_fla_V   !: Name of unstruct. bdy data file at V points for Flather scheme
    !
-   LOGICAL ::   ln_bdy_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
-   LOGICAL ::   ln_bdy_vol  = .false.   !: =T volume correction             
-   LOGICAL ::   ln_bdy_mask = .false.   !: =T read bdymask from file
-   LOGICAL ::   ln_bdy_clim = .false.   !: if true, we assume that bdy data files contain 
+   LOGICAL ::   ln_tides = .false.    !: =T apply tidal harmonic forcing along open boundaries
+   LOGICAL ::   ln_vol  = .false.     !: =T volume correction             
+   LOGICAL ::   ln_mask = .false.     !: =T read bdymask from file
+   LOGICAL ::   ln_clim = .false.     !: if true, we assume that bdy data files contain 
    !                                    !  1 time dump  (-->bdy forcing will be constant) 
    !                                    !  or 12 months (-->bdy forcing will be cyclic) 
-   LOGICAL ::   ln_bdy_dyn_fla  = .false. !: =T Flather boundary conditions on barotropic velocities
-   LOGICAL ::   ln_bdy_dyn_frs  = .false. !: =T FRS boundary conditions on velocities
-   LOGICAL ::   ln_bdy_tra_frs  = .false. !: =T FRS boundary conditions on tracers (T and S)
-   LOGICAL ::   ln_bdy_ice_frs  = .false. !: =T FRS boundary conditions on seaice (leads fraction, ice depth, snow depth)
+   LOGICAL ::   ln_dyn_fla  = .false. !: =T Flather boundary conditions on barotropic velocities
+   LOGICAL ::   ln_dyn_frs  = .false. !: =T FRS boundary conditions on velocities
+   LOGICAL ::   ln_tra_frs  = .false. !: =T FRS boundary conditions on tracers (T and S)
+   LOGICAL ::   ln_ice_frs  = .false. !: =T FRS boundary conditions on seaice (leads fraction, ice depth, snow depth)
    !
-   INTEGER ::   nb_rimwidth = 7         !: boundary rim width
-   INTEGER ::   nbdy_dta    = 1	        !: = 0 use the initial state as bdy dta or = 1 read it in a NetCDF file
-   INTEGER ::   volbdy      = 1         !: = 0 the total volume will have the variability of the surface Flux E-P 
+   INTEGER ::   nn_rimwidth = 7         !: boundary rim width
+   INTEGER ::   nn_dtactl   = 1	        !: = 0 use the initial state as bdy dta or = 1 read it in a NetCDF file
+   INTEGER ::   nn_volctl   = 1         !: = 0 the total volume will have the variability of the surface Flux E-P 
    !                                    !  = 1 the volume will be constant during all the integration.
 
@@ -84,5 +84,5 @@
    !!   Dummy module                NO Unstructured Open Boundary Condition
    !!----------------------------------------------------------------------
-   LOGICAL ::   ln_bdy_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
+   LOGICAL ::   ln_tides = .false.  !: =T apply tidal harmonic forcing along open boundaries
 #endif
 
Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 2253)
@@ -6,5 +6,5 @@
    !! History :  1.0  !  2005-01  (J. Chanut, A. Sellar)  Original code
    !!             -   !  2007-01  (D. Storkey) Update to use IOM module
-   !!             -   !  2007-07  (D. Storkey) add bdy_dta_bt
+   !!             -   !  2007-07  (D. Storkey) add bdy_dta_fla
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version
    !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
@@ -15,6 +15,6 @@
    !!   'key_bdy'                     Unstructured Open Boundary Conditions
    !!----------------------------------------------------------------------
-   !!   bdy_dta    : read u, v, t, s data along open boundaries
-   !!   bdy_dta_bt : read depth-mean velocities and elevation along open boundaries        
+   !!   bdy_dta_frs    : read u, v, t, s data along open boundaries
+   !!   bdy_dta_fla : read depth-mean velocities and elevation along open boundaries        
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers
@@ -33,6 +33,6 @@
    PRIVATE
 
-   PUBLIC   bdy_dta      ! routines called by step.F90
-   PUBLIC   bdy_dta_bt 
+   PUBLIC   bdy_dta_frs      ! routines called by step.F90
+   PUBLIC   bdy_dta_fla 
 
    INTEGER ::   numbdyt, numbdyu, numbdyv                      ! logical units for T-, U-, & V-points data file, resp.
@@ -65,7 +65,7 @@
 CONTAINS
 
-   SUBROUTINE bdy_dta( kt )
+   SUBROUTINE bdy_dta_frs( kt )
       !!----------------------------------------------------------------------
-      !!                   ***  SUBROUTINE bdy_dta  ***
+      !!                   ***  SUBROUTINE bdy_dta_frs  ***
       !!                    
       !! ** Purpose :   Read unstructured boundary data for FRS condition.
@@ -101,6 +101,6 @@
 
 
-      IF( ln_bdy_dyn_frs .OR. ln_bdy_tra_frs    &
-         &               .OR. ln_bdy_ice_frs ) THEN  ! If these are both false then this routine does nothing
+      IF( ln_dyn_frs .OR. ln_tra_frs    &
+         &               .OR. ln_ice_frs ) THEN  ! If these are both false then this routine does nothing
 
       ! -------------------- !
@@ -139,12 +139,12 @@
 
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*)    'bdy_dta : Initialize unstructured boundary data'
+         IF(lwp) WRITE(numout,*)    'bdy_dta_frs : Initialize unstructured boundary data'
          IF(lwp) WRITE(numout,*)    '~~~~~~~' 
 
-         IF     ( nbdy_dta == 0 ) THEN
+         IF     ( nn_dtactl == 0 ) THEN
             !
             IF(lwp) WRITE(numout,*) '          Bdy data are taken from initial conditions'
             !
-         ELSEIF (nbdy_dta == 1) THEN
+         ELSEIF (nn_dtactl == 1) THEN
             !
             IF(lwp) WRITE(numout,*) '          Bdy data are read in netcdf files'
@@ -155,14 +155,14 @@
             !                                                 ! necessary time dumps in file are included
             !
-            clfile(1) = filbdy_data_T
-            clfile(2) = filbdy_data_U
-            clfile(3) = filbdy_data_V
+            clfile(1) = cn_dta_frs_T
+            clfile(2) = cn_dta_frs_U
+            clfile(3) = cn_dta_frs_V
             !                                                  
             ! how many files are we to read in?
             igrd_start = 1
             igrd_end   = 3
-            IF(.NOT. ln_bdy_tra_frs .AND. .NOT. ln_bdy_ice_frs) THEN       ! No T-grid file.
+            IF(.NOT. ln_tra_frs .AND. .NOT. ln_ice_frs) THEN       ! No T-grid file.
                igrd_start = 2
-            ELSEIF ( .NOT. ln_bdy_dyn_frs ) THEN                           ! No U-grid or V-grid file.
+            ELSEIF ( .NOT. ln_dyn_frs ) THEN                           ! No U-grid or V-grid file.
                igrd_end   = 1         
             ENDIF
@@ -273,12 +273,12 @@
 
             ! Check number of time dumps:              
-            IF( ntimes_bdy == 1 .AND. .NOT. ln_bdy_clim ) THEN
+            IF( ntimes_bdy == 1 .AND. .NOT. ln_clim ) THEN
               CALL ctl_stop( 'There is only one time dump in data files',   &
-                 &           'Choose ln_bdy_clim=.true. in namelist for constant bdy forcing.' )
+                 &           'Choose ln_clim=.true. in namelist for constant bdy forcing.' )
             ENDIF
 
-            IF( ln_bdy_clim ) THEN
+            IF( ln_clim ) THEN
               IF( ntimes_bdy /= 1 .AND. ntimes_bdy /= 12 ) THEN
-                 CALL ctl_stop( 'For climatological boundary forcing (ln_bdy_clim=.true.),',   &
+                 CALL ctl_stop( 'For climatological boundary forcing (ln_clim=.true.),',   &
                     &           'bdy data files must contain 1 or 12 time dumps.' )
               ELSEIF( ntimes_bdy ==  1 ) THEN
@@ -301,13 +301,13 @@
             IF(lwp) WRITE(numout,*) 'First record to read is ',nbdy_b
 
-         ENDIF ! endif (nbdy_dta == 1)
-
-
-         ! 1.2  Read first record in file if necessary (ie if nbdy_dta == 1)
+         ENDIF ! endif (nn_dtactl == 1)
+
+
+         ! 1.2  Read first record in file if necessary (ie if nn_dtactl == 1)
          ! *****************************************************************
 
-         IF( nbdy_dta == 0 ) THEN      ! boundary data arrays are filled with initial conditions
+         IF( nn_dtactl == 0 ) THEN      ! boundary data arrays are filled with initial conditions
             !
-            IF (ln_bdy_tra_frs) THEN
+            IF (ln_tra_frs) THEN
                igrd = 1            ! T-points data 
                DO ib = 1, nblen(igrd)
@@ -321,5 +321,5 @@
             ENDIF
 
-            IF(ln_bdy_dyn_frs) THEN
+            IF(ln_dyn_frs) THEN
                igrd = 2            ! U-points data 
                DO ib = 1, nblen(igrd)
@@ -342,5 +342,5 @@
             !
 #if defined key_lim2
-            IF( ln_bdy_ice_frs ) THEN
+            IF( ln_ice_frs ) THEN
                igrd = 1            ! T-points data
                DO ib = 1, nblen(igrd)
@@ -351,9 +351,9 @@
             ENDIF
 #endif
-         ELSEIF( nbdy_dta == 1 ) THEN    ! Set first record in the climatological case:   
+         ELSEIF( nn_dtactl == 1 ) THEN    ! Set first record in the climatological case:   
             !
-            IF( ln_bdy_clim .AND. ntimes_bdy == 1 ) THEN
+            IF( ln_clim .AND. ntimes_bdy == 1 ) THEN
                nbdy_a = 1
-            ELSEIF( ln_bdy_clim .AND. ntimes_bdy == iman ) THEN
+            ELSEIF( ln_clim .AND. ntimes_bdy == iman ) THEN
                nbdy_b = 0
                nbdy_a = imois
@@ -368,5 +368,5 @@
             ipi  = nblendta(igrd)
 
-            IF(ln_bdy_tra_frs) THEN
+            IF(ln_tra_frs) THEN
                !
                igrd = 1                                           ! Temperature
@@ -399,7 +399,7 @@
                   END DO
                END DO
-            ENDIF  ! ln_bdy_tra_frs
+            ENDIF  ! ln_tra_frs
  
-            IF( ln_bdy_dyn_frs ) THEN
+            IF( ln_dyn_frs ) THEN
                !
                igrd = 2                                           ! u-velocity
@@ -430,8 +430,8 @@
                   END DO
                END DO
-            ENDIF ! ln_bdy_dyn_frs
+            ENDIF ! ln_dyn_frs
 
 #if defined key_lim2
-            IF( ln_bdy_ice_frs ) THEN
+            IF( ln_ice_frs ) THEN
               !
               igrd=1                                              ! leads fraction
@@ -458,19 +458,19 @@
                 hsnif_bdydta(ib,2) =  zdta(nbmap(ib,igrd),1,1)
               END DO
-            ENDIF ! just if ln_bdy_ice_frs is set
+            ENDIF ! just if ln_ice_frs is set
 #endif
 
-            IF( .NOT.ln_bdy_clim .AND. istep(1) > 0 ) THEN     ! First data time is after start of run
+            IF( .NOT.ln_clim .AND. istep(1) > 0 ) THEN     ! First data time is after start of run
                nbdy_b = nbdy_a                                 ! Put first value in both time levels
-               IF( ln_bdy_tra_frs ) THEN
+               IF( ln_tra_frs ) THEN
                  tbdydta(:,:,1) = tbdydta(:,:,2)
                  sbdydta(:,:,1) = sbdydta(:,:,2)
                ENDIF
-               IF( ln_bdy_dyn_frs ) THEN
+               IF( ln_dyn_frs ) THEN
                  ubdydta(:,:,1) = ubdydta(:,:,2)
                  vbdydta(:,:,1) = vbdydta(:,:,2)
                ENDIF
 #if defined key_lim2
-               IF( ln_bdy_ice_frs ) THEN
+               IF( ln_ice_frs ) THEN
                   frld_bdydta (:,1) =  frld_bdydta(:,2)
                   hicif_bdydta(:,1) = hicif_bdydta(:,2)
@@ -480,18 +480,18 @@
             END IF
             !
-         END IF   ! nbdy_dta == 0/1
+         END IF   ! nn_dtactl == 0/1
  
          ! In the case of constant boundary forcing fill bdy arrays once for all
-         IF( ln_bdy_clim .AND. ntimes_bdy == 1 ) THEN
-            IF( ln_bdy_tra_frs ) THEN
+         IF( ln_clim .AND. ntimes_bdy == 1 ) THEN
+            IF( ln_tra_frs ) THEN
                tbdy  (:,:) = tbdydta  (:,:,2)
                sbdy  (:,:) = sbdydta  (:,:,2)
             ENDIF
-            IF( ln_bdy_dyn_frs) THEN
+            IF( ln_dyn_frs) THEN
                ubdy  (:,:) = ubdydta  (:,:,2)
                vbdy  (:,:) = vbdydta  (:,:,2)
             ENDIF
 #if defined key_lim2
-            IF( ln_bdy_ice_frs ) THEN
+            IF( ln_ice_frs ) THEN
                frld_bdy (:) = frld_bdydta (:,2)
                hicif_bdy(:) = hicif_bdydta(:,2)
@@ -500,7 +500,7 @@
 #endif
 
-            IF( ln_bdy_tra_frs .OR. ln_bdy_ice_frs) CALL iom_close( numbdyt )
-            IF( ln_bdy_dyn_frs                    ) CALL iom_close( numbdyu )
-            IF( ln_bdy_dyn_frs                    ) CALL iom_close( numbdyv )
+            IF( ln_tra_frs .OR. ln_ice_frs) CALL iom_close( numbdyt )
+            IF( ln_dyn_frs                    ) CALL iom_close( numbdyu )
+            IF( ln_dyn_frs                    ) CALL iom_close( numbdyv )
          END IF
          !
@@ -509,10 +509,10 @@
 
       !                                                !---------------------!
-      IF( nbdy_dta == 1 .AND. ntimes_bdy > 1 ) THEN    !  at each time step  !
+      IF( nn_dtactl == 1 .AND. ntimes_bdy > 1 ) THEN    !  at each time step  !
          !                                             !---------------------!
          ! Read one more record if necessary
          !**********************************
 
-         IF( ln_bdy_clim .AND. imois /= nbdy_b ) THEN      ! remember that nbdy_b=0 for kt=nit000
+         IF( ln_clim .AND. imois /= nbdy_b ) THEN      ! remember that nbdy_b=0 for kt=nit000
             nbdy_b = imois
             nbdy_a = imois + 1
@@ -520,5 +520,5 @@
             nbdy_a = MOD( nbdy_a, iman )   ;   IF( nbdy_a == 0 ) nbdy_a = iman
             lect=.true.
-         ELSEIF( .NOT.ln_bdy_clim .AND. itimer >= istep(nbdy_a) ) THEN
+         ELSEIF( .NOT.ln_clim .AND. itimer >= istep(nbdy_a) ) THEN
 
             IF( nbdy_a < ntimes_bdy ) THEN
@@ -530,14 +530,14 @@
                ! put the last data time into both time levels
                nbdy_b = nbdy_a
-               IF(ln_bdy_tra_frs) THEN
+               IF(ln_tra_frs) THEN
                   tbdydta(:,:,1) =  tbdydta(:,:,2)
                   sbdydta(:,:,1) =  sbdydta(:,:,2)
                ENDIF
-               IF(ln_bdy_dyn_frs) THEN
+               IF(ln_dyn_frs) THEN
                   ubdydta(:,:,1) =  ubdydta(:,:,2)
                   vbdydta(:,:,1) =  vbdydta(:,:,2)
                ENDIF
 #if defined key_lim2
-               IF(ln_bdy_ice_frs) THEN
+               IF(ln_ice_frs) THEN
                   frld_bdydta (:,1) =  frld_bdydta (:,2)
                   hicif_bdydta(:,1) =  hicif_bdydta(:,2)
@@ -550,14 +550,14 @@
          
         IF( lect ) THEN           ! Swap arrays
-           IF( ln_bdy_tra_frs ) THEN
+           IF( ln_tra_frs ) THEN
              tbdydta(:,:,1) =  tbdydta(:,:,2)
              sbdydta(:,:,1) =  sbdydta(:,:,2)
            ENDIF
-           IF( ln_bdy_dyn_frs ) THEN
+           IF( ln_dyn_frs ) THEN
              ubdydta(:,:,1) =  ubdydta(:,:,2)
              vbdydta(:,:,1) =  vbdydta(:,:,2)
            ENDIF
 #if defined key_lim2
-           IF( ln_bdy_ice_frs ) THEN
+           IF( ln_ice_frs ) THEN
              frld_bdydta (:,1) =  frld_bdydta (:,2)
              hicif_bdydta(:,1) =  hicif_bdydta(:,2)
@@ -569,5 +569,5 @@
            ipk  = jpk
 
-           IF( ln_bdy_tra_frs ) THEN
+           IF( ln_tra_frs ) THEN
               ! 
               igrd = 1                                   ! temperature
@@ -588,7 +588,7 @@
                  END DO
               END DO
-           ENDIF ! ln_bdy_tra_frs
-
-           IF(ln_bdy_dyn_frs) THEN
+           ENDIF ! ln_tra_frs
+
+           IF(ln_dyn_frs) THEN
               !
               igrd = 2                                   ! u-velocity
@@ -609,8 +609,8 @@
                  END DO
               END DO
-           ENDIF ! ln_bdy_dyn_frs
+           ENDIF ! ln_dyn_frs
            !
 #if defined key_lim2
-           IF(ln_bdy_ice_frs) THEN
+           IF(ln_ice_frs) THEN
              !
              igrd = 1                                    ! ice concentration
@@ -634,10 +634,10 @@
                hsnif_bdydta(ib,2) =  zdta( nbmap(ib,igrd), 1, 1 )
              END DO
-           ENDIF ! ln_bdy_ice_frs
+           ENDIF ! ln_ice_frs
 #endif
            !
-           IF(lwp) WRITE(numout,*) 'bdy_dta : first record file used nbdy_b ',nbdy_b
+           IF(lwp) WRITE(numout,*) 'bdy_dta_frs : first record file used nbdy_b ',nbdy_b
            IF(lwp) WRITE(numout,*) '~~~~~~~~  last  record file used nbdy_a ',nbdy_a
-           IF (.NOT.ln_bdy_clim) THEN
+           IF (.NOT.ln_clim) THEN
               IF(lwp) WRITE(numout,*) 'first  record time (s): ', istep(nbdy_b)
               IF(lwp) WRITE(numout,*) 'model time (s)        : ', itimer
@@ -651,5 +651,5 @@
        ! ********************
        ! 
-       IF( ln_bdy_clim ) THEN   ;   zxy = REAL( nday                   ) / REAL( nmonth_len(nbdy_b) ) + 0.5 - i15
+       IF( ln_clim ) THEN   ;   zxy = REAL( nday                   ) / REAL( nmonth_len(nbdy_b) ) + 0.5 - i15
        ELSEIF( istep(nbdy_b) == istep(nbdy_a) ) THEN 
                                     zxy = 0.0_wp
@@ -657,5 +657,5 @@
        END IF
 
-          IF(ln_bdy_tra_frs) THEN
+          IF(ln_tra_frs) THEN
              igrd = 1                                   ! temperature & salinity
              DO ib = 1, nblen(igrd)
@@ -667,5 +667,5 @@
           ENDIF
 
-          IF(ln_bdy_dyn_frs) THEN
+          IF(ln_dyn_frs) THEN
              igrd = 2                                   ! u-velocity
              DO ib = 1, nblen(igrd)
@@ -684,5 +684,5 @@
 
 #if defined key_lim2
-          IF(ln_bdy_ice_frs) THEN
+          IF(ln_ice_frs) THEN
             igrd=1
             DO ib=1, nblen(igrd)
@@ -691,8 +691,8 @@
               hsnif_bdy(ib) = zxy * hsnif_bdydta(ib,2) + (1.-zxy) * hsnif_bdydta(ib,1)
             END DO
-          ENDIF ! just if ln_bdy_ice_frs is true
+          ENDIF ! just if ln_ice_frs is true
 #endif
 
-      END IF                       !end if ((nbdy_dta==1).AND.(ntimes_bdy>1))
+      END IF                       !end if ((nn_dtactl==1).AND.(ntimes_bdy>1))
     
 
@@ -701,17 +701,17 @@
       !                                                !---------------------!
       IF( kt == nitend ) THEN
-          IF(ln_bdy_tra_frs .or. ln_bdy_ice_frs) CALL iom_close( numbdyt )              ! Closing of the 3 files
-          IF(ln_bdy_dyn_frs) CALL iom_close( numbdyu )
-          IF(ln_bdy_dyn_frs) CALL iom_close( numbdyv )
+          IF(ln_tra_frs .or. ln_ice_frs) CALL iom_close( numbdyt )              ! Closing of the 3 files
+          IF(ln_dyn_frs) CALL iom_close( numbdyu )
+          IF(ln_dyn_frs) CALL iom_close( numbdyv )
       ENDIF
       !
-      ENDIF ! ln_bdy_dyn_frs .OR. ln_bdy_tra_frs
+      ENDIF ! ln_dyn_frs .OR. ln_tra_frs
       !
-   END SUBROUTINE bdy_dta
-
-
-   SUBROUTINE bdy_dta_bt( kt, jit, icycl )
+   END SUBROUTINE bdy_dta_frs
+
+
+   SUBROUTINE bdy_dta_fla( kt, jit, icycl )
       !!---------------------------------------------------------------------------
-      !!                      ***  SUBROUTINE bdy_dta_bt  ***
+      !!                      ***  SUBROUTINE bdy_dta_fla  ***
       !!                    
       !! ** Purpose :   Read unstructured boundary data for Flather condition
@@ -749,6 +749,6 @@
       !!---------------------------------------------------------------------------
 
-!!gm   add here the same style as in bdy_dta
-!!gm      clearly bdy_dta_bt and bdy_dta  can be combined...   
+!!gm   add here the same style as in bdy_dta_frs
+!!gm      clearly bdy_dta_fla and bdy_dta_frs  can be combined...   
 !!gm      too many things duplicated in the read of data...   simplification can be done
 
@@ -777,5 +777,5 @@
       itimer = itimer + jit*rdt/REAL(nn_baro,wp)      ! in non-climatological case
 
-      IF ( ln_bdy_tides ) THEN
+      IF ( ln_tides ) THEN
 
          ! -------------------------------------!
@@ -787,5 +787,5 @@
       ENDIF
 
-      IF ( ln_bdy_dyn_fla ) THEN
+      IF ( ln_dyn_fla ) THEN
 
          ! -------------------------------------!
@@ -804,11 +804,11 @@
 
         IF(lwp) WRITE(numout,*)
-        IF(lwp) WRITE(numout,*)    'bdy_dta_bt :Initialize unstructured boundary data for barotropic variables.'
+        IF(lwp) WRITE(numout,*)    'bdy_dta_fla :Initialize unstructured boundary data for barotropic variables.'
         IF(lwp) WRITE(numout,*)    '~~~~~~~' 
 
-        IF( nbdy_dta == 0 ) THEN
+        IF( nn_dtactl == 0 ) THEN
           IF(lwp) WRITE(numout,*)  'Bdy data are taken from initial conditions'
 
-        ELSEIF (nbdy_dta == 1) THEN
+        ELSEIF (nn_dtactl == 1) THEN
           IF(lwp) WRITE(numout,*)  'Bdy data are read in netcdf files'
 
@@ -818,7 +818,7 @@
                                                      ! necessary time dumps in file are included
 
-          clfile(4) = filbdy_data_bt_T
-          clfile(5) = filbdy_data_bt_U
-          clfile(6) = filbdy_data_bt_V
+          clfile(4) = cn_dta_fla_T
+          clfile(5) = cn_dta_fla_U
+          clfile(6) = cn_dta_fla_V
 
           DO igrd = 4,6
@@ -872,5 +872,5 @@
             END DO
 
-            IF ( .NOT. ln_bdy_clim ) THEN
+            IF ( .NOT. ln_clim ) THEN
                ! Check that times in file span model run time:
 
@@ -886,5 +886,5 @@
                IF ( ntimes_bdy_bt == 1 ) CALL ctl_stop( &
                     'There is only one time dump in data files', &
-                    'Set ln_bdy_clim=.true. in namelist for constant bdy forcing.' )
+                    'Set ln_clim=.true. in namelist for constant bdy forcing.' )
 
                zinterval_s = zstepr(2) - zstepr(1)
@@ -899,5 +899,5 @@
                      CALL ctl_stop( 'Last time dump in bdy file is before model final time', ctmp1 )
                END IF
-            END IF ! .NOT. ln_bdy_clim
+            END IF ! .NOT. ln_clim
 
             IF ( igrd .EQ. 4) THEN
@@ -938,5 +938,5 @@
 
       ! Check number of time dumps:              
-          IF (ln_bdy_clim) THEN
+          IF (ln_clim) THEN
             SELECT CASE ( ntimes_bdy_bt )
             CASE( 1 )
@@ -950,5 +950,5 @@
             CASE DEFAULT
               CALL ctl_stop( &
-                'For climatological boundary forcing (ln_bdy_clim=.true.),',&
+                'For climatological boundary forcing (ln_clim=.true.),',&
                 'bdy data files must contain 1 or 12 time dumps.' )
             END SELECT
@@ -966,10 +966,10 @@
           IF(lwp) WRITE(numout,*) 'First record to read is ',nbdy_b_bt
 
-        ENDIF ! endif (nbdy_dta == 1)
-
-      ! 1.2  Read first record in file if necessary (ie if nbdy_dta == 1)
+        ENDIF ! endif (nn_dtactl == 1)
+
+      ! 1.2  Read first record in file if necessary (ie if nn_dtactl == 1)
       ! *****************************************************************
 
-        IF ( nbdy_dta == 0) THEN
+        IF ( nn_dtactl == 0) THEN
           ! boundary data arrays are filled with initial conditions
           igrd = 5            ! U-points data 
@@ -988,10 +988,10 @@
           END DO
 
-        ELSEIF (nbdy_dta == 1) THEN
+        ELSEIF (nn_dtactl == 1) THEN
  
         ! Set first record in the climatological case:   
-          IF ((ln_bdy_clim).AND.(ntimes_bdy_bt==1)) THEN
+          IF ((ln_clim).AND.(ntimes_bdy_bt==1)) THEN
             nbdy_a_bt = 1
-          ELSEIF ((ln_bdy_clim).AND.(ntimes_bdy_bt==iman)) THEN
+          ELSEIF ((ln_clim).AND.(ntimes_bdy_bt==iman)) THEN
             nbdy_b_bt = 0
             nbdy_a_bt = imois
@@ -1002,7 +1002,7 @@
          ! Open Netcdf files:
 
-          CALL iom_open ( filbdy_data_bt_T, numbdyt_bt )
-          CALL iom_open ( filbdy_data_bt_U, numbdyu_bt )
-          CALL iom_open ( filbdy_data_bt_V, numbdyv_bt )
+          CALL iom_open ( cn_dta_fla_T, numbdyt_bt )
+          CALL iom_open ( cn_dta_fla_U, numbdyu_bt )
+          CALL iom_open ( cn_dta_fla_V, numbdyv_bt )
 
          ! Read first record:
@@ -1059,5 +1059,5 @@
  
         ! In the case of constant boundary forcing fill bdy arrays once for all
-        IF ((ln_bdy_clim).AND.(ntimes_bdy_bt==1)) THEN
+        IF ((ln_clim).AND.(ntimes_bdy_bt==1)) THEN
 
           ubtbdy  (:) = ubtbdydta  (:,2)
@@ -1077,10 +1077,10 @@
       ! -------------------- !
 
-      IF ((nbdy_dta==1).AND.(ntimes_bdy_bt>1)) THEN 
+      IF ((nn_dtactl==1).AND.(ntimes_bdy_bt>1)) THEN 
 
       ! 2.1 Read one more record if necessary
       !**************************************
 
-        IF ( (ln_bdy_clim).AND.(imois/=nbdy_b_bt) ) THEN ! remember that nbdy_b_bt=0 for kt=nit000
+        IF ( (ln_clim).AND.(imois/=nbdy_b_bt) ) THEN ! remember that nbdy_b_bt=0 for kt=nit000
          nbdy_b_bt = imois
          nbdy_a_bt = imois+1
@@ -1091,5 +1091,5 @@
          lect=.true.
 
-        ELSEIF ((.NOT.ln_bdy_clim).AND.(itimer >= istep_bt(nbdy_a_bt))) THEN
+        ELSEIF ((.NOT.ln_clim).AND.(itimer >= istep_bt(nbdy_a_bt))) THEN
           nbdy_b_bt=nbdy_a_bt
           nbdy_a_bt=nbdy_a_bt+1
@@ -1143,7 +1143,7 @@
 
 
-         IF(lwp) WRITE(numout,*) 'bdy_dta : first record file used nbdy_b_bt ',nbdy_b_bt
+         IF(lwp) WRITE(numout,*) 'bdy_dta_fla : first record file used nbdy_b_bt ',nbdy_b_bt
          IF(lwp) WRITE(numout,*) '~~~~~~~~  last  record file used nbdy_a_bt ',nbdy_a_bt
-         IF (.NOT.ln_bdy_clim) THEN
+         IF (.NOT.ln_clim) THEN
            IF(lwp) WRITE(numout,*) 'first  record time (s): ', istep_bt(nbdy_b_bt)
            IF(lwp) WRITE(numout,*) 'model time (s)        : ', itimer
@@ -1156,5 +1156,5 @@
       ! ***************************
     
-        IF (ln_bdy_clim) THEN
+        IF (ln_clim) THEN
           zxy = REAL( nday, wp ) / REAL( nmonth_len(nbdy_b_bt), wp ) + 0.5 - i15
         ELSE          
@@ -1181,5 +1181,5 @@
 
 
-      END IF !end if ((nbdy_dta==1).AND.(ntimes_bdy_bt>1))
+      END IF !end if ((nn_dtactl==1).AND.(ntimes_bdy_bt>1))
     
       ! ------------------- !
@@ -1194,7 +1194,7 @@
       ENDIF
 
-      ENDIF ! ln_bdy_dyn_frs
-
-      END SUBROUTINE bdy_dta_bt
+      ENDIF ! ln_dyn_frs
+
+      END SUBROUTINE bdy_dta_fla
 
 
@@ -1204,10 +1204,10 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE bdy_dta( kt )              ! Empty routine
-      WRITE(*,*) 'bdy_dta: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_dta
-   SUBROUTINE bdy_dta_bt( kt, kit, icycle )      ! Empty routine
-      WRITE(*,*) 'bdy_dta: You should not have seen this print! error?', kt, kit
-   END SUBROUTINE bdy_dta_bt
+   SUBROUTINE bdy_dta_frs( kt )              ! Empty routine
+      WRITE(*,*) 'bdy_dta_frs: You should not have seen this print! error?', kt
+   END SUBROUTINE bdy_dta_frs
+   SUBROUTINE bdy_dta_fla( kt, kit, icycle )      ! Empty routine
+      WRITE(*,*) 'bdy_dta_frs: You should not have seen this print! error?', kt, kit
+   END SUBROUTINE bdy_dta_fla
 #endif
 
Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdydyn.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 2253)
@@ -60,9 +60,9 @@
       !!----------------------------------------------------------------------
       !
-      IF(ln_bdy_dyn_frs) THEN       ! If this is false, then this routine does nothing. 
+      IF(ln_dyn_frs) THEN       ! If this is false, then this routine does nothing. 
          !
          IF( kt == nit000 ) THEN
             IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) 'bdy_dyn : Flow Relaxation Scheme on momentum'
+            IF(lwp) WRITE(numout,*) 'bdy_dyn_frs : Flow Relaxation Scheme on momentum'
             IF(lwp) WRITE(numout,*) '~~~~~~~'
          ENDIF
@@ -89,5 +89,5 @@
          CALL lbc_lnk( ua, 'U', -1. )   ;   CALL lbc_lnk( va, 'V', -1. )   ! Boundary points should be updated
          !
-      ENDIF ! ln_bdy_dyn_frs
+      ENDIF ! ln_dyn_frs
       !
    END SUBROUTINE bdy_dyn_frs
@@ -107,5 +107,5 @@
       !!             
       !!              - Apply Flather boundary conditions on normal barotropic velocities 
-      !!                (ln_bdy_dyn_fla=.true. or ln_bdy_tides=.true.)
+      !!                (ln_dyn_fla=.true. or ln_tides=.true.)
       !!
       !! ** WARNINGS about FLATHER implementation:
@@ -134,5 +134,5 @@
       ! ---------------------------------! 
      
-      IF(ln_bdy_dyn_fla .OR. ln_bdy_tides) THEN ! If these are both false, then this routine does nothing. 
+      IF(ln_dyn_fla .OR. ln_tides) THEN ! If these are both false, then this routine does nothing. 
 
          ! Fill temporary array with ssh data (here spgu):
@@ -142,6 +142,6 @@
             ii = nbi(jb,igrd)
             ij = nbj(jb,igrd)
-            IF( ln_bdy_dyn_fla ) spgu(ii, ij) = sshbdy(jb)
-            IF( ln_bdy_tides )   spgu(ii, ij) = spgu(ii, ij) + sshtide(jb)
+            IF( ln_dyn_fla ) spgu(ii, ij) = sshbdy(jb)
+            IF( ln_tides )   spgu(ii, ij) = spgu(ii, ij) + sshtide(jb)
          END DO
          !
@@ -175,5 +175,5 @@
          CALL lbc_lnk( va_e, 'V', -1. )   !
          !
-      ENDIF ! ln_bdy_dyn_fla .or. ln_bdy_tides
+      ENDIF ! ln_dyn_fla .or. ln_tides
       !
    END SUBROUTINE bdy_dyn_fla
Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyice.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 2253)
@@ -11,5 +11,5 @@
    !!   'key_lim2'                                                 LIM-2 sea ice model
    !!----------------------------------------------------------------------
-   !!   bdy_ice        : Relaxation of tracers on unstructured open boundaries
+   !!   bdy_ice_frs        : Relaxation of tracers on unstructured open boundaries
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers variables
@@ -23,5 +23,5 @@
    PRIVATE
 
-   PUBLIC   bdy_ice    ! routine called in sbcmod
+   PUBLIC   bdy_ice_frs    ! routine called in sbcmod
 
    !!----------------------------------------------------------------------
@@ -31,7 +31,7 @@
 CONTAINS
 
-   SUBROUTINE bdy_ice( kt )
+   SUBROUTINE bdy_ice_frs( kt )
       !!------------------------------------------------------------------------------
-      !!                 ***  SUBROUTINE bdy_ice  ***
+      !!                 ***  SUBROUTINE bdy_ice_frs  ***
       !!                    
       !! ** Purpose : Apply the Flow Relaxation Scheme for sea-ice fields in the case 
@@ -50,5 +50,5 @@
       jgrd = 1      ! Everything is at T-points here
       !
-      IF( ln_bdy_ice_frs ) THEN     ! update ice fields by relaxation at the boundary
+      IF( ln_ice_frs ) THEN     ! update ice fields by relaxation at the boundary
          DO jb = 1, nblen(jgrd)
             DO jk = 1, jpkm1
@@ -65,9 +65,9 @@
          CALL lbc_lnk( hicif, 'T', 1. )   ;   CALL lbc_lnk( hsnif, 'T', 1. )
          !
-      ELSE                          ! we have called this routine without ln_bdy_ice_frs not set
-         IF( kt == nit000 )   CALL ctl_warn( 'E R R O R (possible) called bdy_ice when ln_bdy_ice_frs is false?' )
+      ELSE                          ! we have called this routine without ln_ice_frs not set
+         IF( kt == nit000 )   CALL ctl_warn( 'E R R O R (possible) called bdy_ice_frs when ln_ice_frs is false?' )
       ENDIF
       !      
-   END SUBROUTINE bdy_ice
+   END SUBROUTINE bdy_ice_frs
 #else
    !!---------------------------------------------------------------------------------
@@ -75,7 +75,7 @@
    !!---------------------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE bdy_ice( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_ice: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_ice
+   SUBROUTINE bdy_ice_frs( kt )      ! Empty routine
+      WRITE(*,*) 'bdy_ice_frs: You should not have seen this print! error?', kt
+   END SUBROUTINE bdy_ice_frs
 #endif
 
Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 2253)
@@ -66,9 +66,9 @@
       CHARACTER(LEN=80),DIMENSION(6)      ::   clfile
       !!
-      NAMELIST/nambdy/filbdy_mask, filbdy_data_T, filbdy_data_U, filbdy_data_V,          &
-         &            filbdy_data_bt_T, filbdy_data_bt_U, filbdy_data_bt_V,              &
-         &            ln_bdy_tides, ln_bdy_clim, ln_bdy_vol, ln_bdy_mask,                &
-         &            ln_bdy_dyn_fla, ln_bdy_dyn_frs, ln_bdy_tra_frs,ln_bdy_ice_frs,     &
-         &            nbdy_dta, nb_rimwidth, volbdy
+      NAMELIST/nambdy/cn_mask, cn_dta_frs_T, cn_dta_frs_U, cn_dta_frs_V,          &
+         &            cn_dta_fla_T, cn_dta_fla_U, cn_dta_fla_V,              &
+         &            ln_tides, ln_clim, ln_vol, ln_mask,                &
+         &            ln_dyn_fla, ln_dyn_frs, ln_tra_frs,ln_ice_frs,     &
+         &            nn_dtactl, nn_rimwidth, nn_volctl
       !!----------------------------------------------------------------------
 
@@ -90,24 +90,24 @@
       IF(lwp) WRITE(numout,*) '         nambdy'
 
-      !                                         ! check type of data used (nbdy_dta value)
-      IF(lwp) WRITE(numout,*) 'nbdy_dta =', nbdy_dta      
+      !                                         ! check type of data used (nn_dtactl value)
+      IF(lwp) WRITE(numout,*) 'nn_dtactl =', nn_dtactl      
       IF(lwp) WRITE(numout,*)
-      SELECT CASE( nbdy_dta )                   ! 
+      SELECT CASE( nn_dtactl )                   ! 
       CASE( 0 )      ;   IF(lwp) WRITE(numout,*) '      initial state used for bdy data'        
       CASE( 1 )      ;   IF(lwp) WRITE(numout,*) '      boundary data taken from file'
-      CASE DEFAULT   ;   CALL ctl_stop( 'nbdy_dta must be 0 or 1' )
+      CASE DEFAULT   ;   CALL ctl_stop( 'nn_dtactl must be 0 or 1' )
       END SELECT
 
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'Boundary rim width for the FRS nb_rimwidth = ', nb_rimwidth
+      IF(lwp) WRITE(numout,*) 'Boundary rim width for the FRS nn_rimwidth = ', nn_rimwidth
 
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '      volbdy = ', volbdy
-
-      IF( ln_bdy_vol ) THEN                     ! check volume conservation (volbdy value)
-         SELECT CASE ( volbdy )
+      IF(lwp) WRITE(numout,*) '      nn_volctl = ', nn_volctl
+
+      IF( ln_vol ) THEN                     ! check volume conservation (nn_volctl value)
+         SELECT CASE ( nn_volctl )
          CASE( 1 )      ;   IF(lwp) WRITE(numout,*) '      The total volume will be constant'
          CASE( 0 )      ;   IF(lwp) WRITE(numout,*) '      The total volume will vary according to the surface E-P flux'
-         CASE DEFAULT   ;   CALL ctl_stop( 'volbdy must be 0 or 1' )
+         CASE DEFAULT   ;   CALL ctl_stop( 'nn_volctl must be 0 or 1' )
          END SELECT
          IF(lwp) WRITE(numout,*)
@@ -117,30 +117,30 @@
       ENDIF
 
-      IF( ln_bdy_tides ) THEN
+      IF( ln_tides ) THEN
         IF(lwp) WRITE(numout,*) 'Tidal harmonic forcing at unstructured open boundaries'
         IF(lwp) WRITE(numout,*)
       ENDIF
 
-      IF( ln_bdy_dyn_fla ) THEN
+      IF( ln_dyn_fla ) THEN
         IF(lwp) WRITE(numout,*) 'Flather condition on U, V at unstructured open boundaries'
         IF(lwp) WRITE(numout,*)
       ENDIF
 
-      IF( ln_bdy_dyn_frs ) THEN
+      IF( ln_dyn_frs ) THEN
         IF(lwp) WRITE(numout,*) 'FRS condition on U and V at unstructured open boundaries'
         IF(lwp) WRITE(numout,*)
       ENDIF
 
-      IF( ln_bdy_tra_frs ) THEN
+      IF( ln_tra_frs ) THEN
         IF(lwp) WRITE(numout,*) 'FRS condition on T & S fields at unstructured open boundaries'
         IF(lwp) WRITE(numout,*)
       ENDIF
 
-      IF( ln_bdy_ice_frs ) THEN
+      IF( ln_ice_frs ) THEN
         IF(lwp) WRITE(numout,*) 'FRS condition on ice fields at unstructured open boundaries'
         IF(lwp) WRITE(numout,*)
       ENDIF
 
-      IF( ln_bdy_tides )   CALL tide_init      ! Read tides namelist 
+      IF( ln_tides )   CALL tide_init      ! Read tides namelist 
 
 
@@ -156,6 +156,6 @@
          zmask(         :                ,:) = 0.e0
          zmask(jpizoom+1:jpizoom+jpiglo-2,:) = 1.e0          
-      ELSE IF( ln_bdy_mask ) THEN
-         CALL iom_open( filbdy_mask, inum )
+      ELSE IF( ln_mask ) THEN
+         CALL iom_open( cn_mask, inum )
          CALL iom_get ( inum, jpdom_data, 'bdy_msk', zmask(:,:) )
          CALL iom_close( inum )
@@ -190,5 +190,5 @@
       IF( cp_cfg == "eel" .AND. jp_cfg == 5 ) THEN
          icount = 0
-         DO ir = 1, nb_rimwidth                  ! Define west boundary (from ii=2 to ii=1+nb_rimwidth):
+         DO ir = 1, nn_rimwidth                  ! Define west boundary (from ii=2 to ii=1+nn_rimwidth):
             DO ij = 3, jpjglo-2
                icount = icount + 1
@@ -199,5 +199,5 @@
          END DO
          !
-         DO ir = 1, nb_rimwidth                  ! Define east boundary (from ii=jpiglo-1 to ii=jpiglo-nb_rimwidth):
+         DO ir = 1, nn_rimwidth                  ! Define east boundary (from ii=jpiglo-1 to ii=jpiglo-nn_rimwidth):
             DO ij=3,jpjglo-2
                icount = icount + 1
@@ -211,39 +211,39 @@
       ELSE            ! Read indices and distances in unstructured boundary data files 
          !
-         IF( ln_bdy_tides ) THEN             ! Read tides input files for preference in case there are no bdydata files
+         IF( ln_tides ) THEN             ! Read tides input files for preference in case there are no bdydata files
             clfile(4) = TRIM(filtide)//TRIM(tide_cpt(1))//'_grid_T.nc'
             clfile(5) = TRIM(filtide)//TRIM(tide_cpt(1))//'_grid_U.nc'
             clfile(6) = TRIM(filtide)//TRIM(tide_cpt(1))//'_grid_V.nc'
          ENDIF
-         IF( ln_bdy_dyn_fla .AND. .NOT. ln_bdy_tides ) THEN 
-            clfile(4) = filbdy_data_bt_T
-            clfile(5) = filbdy_data_bt_U
-            clfile(6) = filbdy_data_bt_V
+         IF( ln_dyn_fla .AND. .NOT. ln_tides ) THEN 
+            clfile(4) = cn_dta_fla_T
+            clfile(5) = cn_dta_fla_U
+            clfile(6) = cn_dta_fla_V
          ENDIF
 
-         IF( ln_bdy_tra_frs ) THEN 
-            clfile(1) = filbdy_data_T
-            IF( .NOT. ln_bdy_dyn_frs ) THEN 
-               clfile(2) = filbdy_data_T     ! Dummy read re read T file for sake of 6 files
-               clfile(3) = filbdy_data_T     !
+         IF( ln_tra_frs ) THEN 
+            clfile(1) = cn_dta_frs_T
+            IF( .NOT. ln_dyn_frs ) THEN 
+               clfile(2) = cn_dta_frs_T     ! Dummy read re read T file for sake of 6 files
+               clfile(3) = cn_dta_frs_T     !
             ENDIF
          ENDIF          
-         IF( ln_bdy_dyn_frs ) THEN 
-            IF( .NOT. ln_bdy_tra_frs )   clfile(1) = filbdy_data_U      ! Dummy Read 
-            clfile(2) = filbdy_data_U
-            clfile(3) = filbdy_data_V 
+         IF( ln_dyn_frs ) THEN 
+            IF( .NOT. ln_tra_frs )   clfile(1) = cn_dta_frs_U      ! Dummy Read 
+            clfile(2) = cn_dta_frs_U
+            clfile(3) = cn_dta_frs_V 
          ENDIF
 
          !                                   ! how many files are we to read in?
-         IF(ln_bdy_tides .OR. ln_bdy_dyn_fla)   igrd_start = 4
-         !
-         IF(ln_bdy_tra_frs    ) THEN   ;   igrd_start = 1
-         ELSEIF(ln_bdy_dyn_frs) THEN   ;   igrd_start = 2
+         IF(ln_tides .OR. ln_dyn_fla)   igrd_start = 4
+         !
+         IF(ln_tra_frs    ) THEN   ;   igrd_start = 1
+         ELSEIF(ln_dyn_frs) THEN   ;   igrd_start = 2
          ENDIF
          !
-         IF( ln_bdy_tra_frs   )   igrd_end = 1
-         !
-         IF(ln_bdy_dyn_fla .OR. ln_bdy_tides) THEN   ;   igrd_end = 6
-         ELSEIF( ln_bdy_dyn_frs             ) THEN   ;   igrd_end = 3
+         IF( ln_tra_frs   )   igrd_end = 1
+         !
+         IF(ln_dyn_fla .OR. ln_tides) THEN   ;   igrd_end = 6
+         ELSEIF( ln_dyn_frs             ) THEN   ;   igrd_end = 3
          ENDIF
 
@@ -274,6 +274,6 @@
                IF(lwp) WRITE(numout,*)
                IF(lwp) WRITE(numout,*) ' Maximum rimwidth in file is ', ibr_max
-               IF(lwp) WRITE(numout,*) ' nb_rimwidth from namelist is ', nb_rimwidth
-               IF (ibr_max < nb_rimwidth)   CALL ctl_stop( 'nb_rimwidth is larger than maximum rimwidth in file' )
+               IF(lwp) WRITE(numout,*) ' nn_rimwidth from namelist is ', nn_rimwidth
+               IF (ibr_max < nn_rimwidth)   CALL ctl_stop( 'nn_rimwidth is larger than maximum rimwidth in file' )
             ENDIF !Check igrd < 4
             !
@@ -296,5 +296,5 @@
          nblenrim(igrd) = 0
          nblendta(igrd) = 0
-         DO ir=1, nb_rimwidth
+         DO ir=1, nn_rimwidth
             DO ib = 1, jpbdta
                ! check if point is in local domain and equals ir
@@ -327,6 +327,6 @@
          DO ib = 1, nblen(igrd)
             nbw(ib,igrd) = 1.- TANH( FLOAT( nbr(ib,igrd) - 1 ) *0.5 )                     ! tanh formulation
-!           nbw(ib,igrd) = (FLOAT(nb_rimwidth+1-nbr(ib,igrd))/FLOAT(nb_rimwidth))**2      ! quadratic
-!           nbw(ib,igrd) =  FLOAT(nb_rimwidth+1-nbr(ib,igrd))/FLOAT(nb_rimwidth)          ! linear
+!           nbw(ib,igrd) = (FLOAT(nn_rimwidth+1-nbr(ib,igrd))/FLOAT(nn_rimwidth))**2      ! quadratic
+!           nbw(ib,igrd) =  FLOAT(nn_rimwidth+1-nbr(ib,igrd))/FLOAT(nn_rimwidth)          ! linear
          END DO
       END DO 
@@ -382,5 +382,5 @@
       CALL lbc_lnk( bdyumask(:,:), 'U', 1. )   ;   CALL lbc_lnk( bdyvmask(:,:), 'V', 1. )
 
-      IF( ln_bdy_vol .OR. ln_bdy_dyn_fla ) THEN      ! Indices and directions of rim velocity components
+      IF( ln_vol .OR. ln_dyn_fla ) THEN      ! Indices and directions of rim velocity components
          !
          !flagu = -1 : u component is normal to the dynamical boundary but its direction is outward
@@ -431,5 +431,5 @@
       ! ----------------------------------------------------
       bdysurftot = 0.e0 
-      IF( ln_bdy_vol ) THEN  
+      IF( ln_vol ) THEN  
          igrd = 2      ! Lateral surface at U-points
          DO ib = 1, nblenrim(igrd)
@@ -468,5 +468,5 @@
       ! Read in tidal constituents and adjust for model start time
       ! ----------------------------------------------------------
-      IF( ln_bdy_tides )   CALL tide_data
+      IF( ln_tides )   CALL tide_data
       !
    END SUBROUTINE bdy_init
Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdytra.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 2253)
@@ -11,5 +11,5 @@
    !!   'key_bdy'                     Unstructured Open Boundary Conditions
    !!----------------------------------------------------------------------
-   !!   bdy_tra        : Relaxation of tracers on unstructured open boundaries
+   !!   bdy_tra_frs        : Relaxation of tracers on unstructured open boundaries
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers variables
@@ -22,5 +22,5 @@
    PRIVATE
 
-   PUBLIC bdy_tra     ! routine called in tranxt.F90 
+   PUBLIC bdy_tra_frs     ! routine called in tranxt.F90 
 
    !!----------------------------------------------------------------------
@@ -31,7 +31,7 @@
 CONTAINS
 
-   SUBROUTINE bdy_tra( kt )
+   SUBROUTINE bdy_tra_frs( kt )
       !!----------------------------------------------------------------------
-      !!                 ***  SUBROUTINE bdy_tra  ***
+      !!                 ***  SUBROUTINE bdy_tra_frs  ***
       !!                    
       !! ** Purpose : Apply the Flow Relaxation Scheme for tracers in the  
@@ -47,9 +47,9 @@
       !!----------------------------------------------------------------------
       !
-      IF(ln_bdy_tra_frs) THEN       ! If this is false, then this routine does nothing. 
+      IF(ln_tra_frs) THEN       ! If this is false, then this routine does nothing. 
          !
          IF( kt == nit000 ) THEN
             IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) 'bdy_tra : Flow Relaxation Scheme for tracers'
+            IF(lwp) WRITE(numout,*) 'bdy_tra_frs : Flow Relaxation Scheme for tracers'
             IF(lwp) WRITE(numout,*) '~~~~~~~'
          ENDIF
@@ -68,7 +68,7 @@
          CALL lbc_lnk( ta, 'T', 1. )   ; CALL lbc_lnk( sa, 'T', 1. )    ! Boundary points should be updated
          !
-      ENDIF ! ln_bdy_tra_frs
+      ENDIF ! ln_tra_frs
       !
-   END SUBROUTINE bdy_tra
+   END SUBROUTINE bdy_tra_frs
    
 #else
@@ -77,7 +77,7 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE bdy_tra(kt)      ! Empty routine
-      WRITE(*,*) 'bdy_tra: You should not have seen this print! error?', kt
-   END SUBROUTINE bdy_tra
+   SUBROUTINE bdy_tra_frs(kt)      ! Empty routine
+      WRITE(*,*) 'bdy_tra_frs: You should not have seen this print! error?', kt
+   END SUBROUTINE bdy_tra_frs
 #endif
 
Index: branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 2253)
@@ -61,10 +61,10 @@
       !!            zero (z_cflxemp=0) to calculate the correction velocity. So
       !!            it will only balance the flux through open boundaries.
-      !!            (set volbdy to 0 in tne namelist for this option)
+      !!            (set nn_volctl to 0 in tne namelist for this option)
       !!         2/ The volume is constant even with E-P flux. In this case
       !!            the correction velocity must balance both the flux 
       !!            through open boundaries and the ones through the free
       !!            surface. 
-      !!            (set volbdy to 1 in tne namelist for this option)
+      !!            (set nn_volctl to 1 in tne namelist for this option)
       !!----------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
@@ -74,4 +74,6 @@
       REAL(wp) ::   zubtpecor, z_cflxemp, ztranst
       !!-----------------------------------------------------------------------------
+
+      IF( ln_vol ) THEN
 
       IF( kt == nit000 ) THEN 
@@ -110,5 +112,5 @@
       ! The normal velocity correction
       ! ------------------------------
-      IF( volbdy==1 ) THEN   ;   zubtpecor = ( zubtpecor - z_cflxemp) / bdysurftot 
+      IF( nn_volctl==1 ) THEN   ;   zubtpecor = ( zubtpecor - z_cflxemp) / bdysurftot 
       ELSE                   ;   zubtpecor =   zubtpecor             / bdysurftot
       END IF
@@ -149,4 +151,6 @@
       END IF 
       !
+      END IF ! ln_vol
+
    END SUBROUTINE bdy_vol
 
Index: branches/devukmo2010/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 2253)
@@ -190,11 +190,6 @@
 #endif
 #if defined key_bdy
-      ! Update velocities on unstructured boundary using the Flow Relaxation Scheme
-      CALL bdy_dyn_frs( kt )
-
-      IF (ln_bdy_vol) THEN
-      ! Correction of the barotropic component velocity to control the volume of the system
-        CALL bdy_vol( kt )
-      ENDIF
+      CALL bdy_dyn_frs( kt )       ! Update velocities on unstructured boundary using the Flow Relaxation Scheme
+      CALL bdy_vol( kt )           ! Correction of the barotropic component velocity to control the volume of the system
 #endif
 #if defined key_agrif
Index: branches/devukmo2010/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/devukmo2010/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 2206)
+++ branches/devukmo2010/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 2253)
@@ -352,6 +352,6 @@
          !                                                !* Update the forcing (OBC, BDY and tides)
          !                                                !  ------------------
-         IF( lk_obc                     )   CALL obc_dta_bt( kt, jn   )
-         IF( lk_bdy  .OR.  ln_bdy_tides )   CALL bdy_dta_bt( kt, jn+1, icycle )
+         IF( lk_obc )   CALL obc_dta_bt( kt, jn   )
+         IF( lk_bdy )   CALL bdy_dta_bt( kt, jn+1, icycle )
 
          !                                                !* after ssh_e
